% MTEX version 4.5.2
%14/02/2018
% Script written by Maxime Clment, Goscience Montpellier, France.
%contact= maxime.clement@gm.univ-montp2.fr
clear all
close all
% define Oen crystal symmetry
cs = crystalSymmetry('mmm', [18.2406 8.8302 5.1852]);
%************************************************************************** 
%% Example: define Oen Euler angles and variant vectors
%**************************************************************************
% Euler angles
E1=[0.8 177.6 173.3];
E2=[100.9 79.3 78.5];
E3=[0.9 179.2 0.4];
% variant vector
Var=[2 2 1];
% all 3 Oen orientations
ori=orientation('Euler',E1*degree,E2*degree,E3*degree,cs);
%************************************************************************** 
%% compute the orientation of sigma 
%**************************************************************************
% Define b-axes orientations of Oen
% positive and negative values plot in upper and lower 
% hemisphere
% 3 orientations of Oen [010] in specimen coordinates
B=ori*Miller(0,1,0,cs,'uvw');%define b-axes of orthoenstatite as vectors
% calculation of sigma is done by rotating 45 degrees
% the Bunge Euler angles of Oen around around b-axis,
% For variant 1, rotation is + if B is +
% For variant 1, rotation is - if B is - 
% For variant 2, rotation is - if B is +
% For variant 2, rotation is + if B is -
%
% Selection proceedure 
for i=1:length(E1)
    if B(i).z>0 && Var(i)==1 || B(i).z<0 && Var(i)==2 
        ori(i)=ori(i)*orientation('axis', ...
            Miller(0,1,0,cs),'angle',45*degree);
    else
        ori(i)=ori(i)*orientation('axis', ...
             Miller(0,1,0,cs),'angle',-45*degree);
    end
end
%**************************************************************************
%% plot sigma
% Red = Oen [001] lower hemisphere  Oen [001] lower hemisphere
%**************************************************************************
figure
% plot convention X-axis to east
plotx2east
for i=1:length(E1)
    if Var(i)==1
        plotPDF(ori(i),Miller(0,0,1,cs,'uvw'),...
            'lower','MarkerColor','blue','MarkerSize',16)
        hold on
    else 
        plotPDF(ori(i),Miller(0,0,1,cs,'uvw'),...
            'lower','MarkerColor'...
            ,'red','MarkerSize',16)
        hold on
    end
end
% figure title
a=annotation('textbox',[0.420 0.939 0.174 0.055],'String',...
    'Sigma','LineStyle','none','BackgroundColor','white'); 
a.FontSize=20;
a=annotation('textbox',[0.015 0.815 0.175 0.179],'String',...
    'Blue: Variant 1 Red : Variant 2','LineStyle','none','BackgroundColor','white');
a.FontSize=20;